org.apache.hadoop.yarn.webapp.hamlet

## Interface HamletSpec.Preformatted

- All Known Subinterfaces:
    HamletSpec._Block, HamletSpec._Body, HamletSpec._Cell, HamletSpec._Html, HamletSpec.Block, HamletSpec.BLOCKQUOTE, HamletSpec.BODY, HamletSpec.BUTTON, HamletSpec.DD, HamletSpec.DEL, HamletSpec.DIV, HamletSpec.FIELDSET, HamletSpec.Flow, HamletSpec.FORM, HamletSpec.HTML, HamletSpec.INS, HamletSpec.LI, HamletSpec.MAP, HamletSpec.OBJECT, HamletSpec.TD, HamletSpec.TH
  All Known Implementing Classes:
    Hamlet, Hamlet.BLOCKQUOTE, Hamlet.BODY, Hamlet.BUTTON, Hamlet.DD, Hamlet.DEL, Hamlet.DIV, Hamlet.FIELDSET, Hamlet.FORM, Hamlet.HTML, Hamlet.INS, Hamlet.LI, Hamlet.MAP, Hamlet.OBJECT, Hamlet.TD, Hamlet.TH
  Enclosing class:
    HamletSpec

      public static interface HamletSpec.Preformatted

  % preformatted

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `HamletSpec.PRE` | `pre()` Add a PRE (preformatted) element.
    `HamletSpec.PRE` | `pre(String selector)` Add a PRE (preformatted) element.

- - ### Method Detail

    - #### pre

          HamletSpec.PRE pre()

      Add a PRE (preformatted) element.
      Returns:
        a new PRE element builder

    - #### pre

          HamletSpec.PRE pre(String selector)

      Add a PRE (preformatted) element.
      Parameters:
        `selector` - the css selector in the form of (#id)?(.class)*
      Returns:
        a new PRE element builder

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.